// src/options.ts
import {
  REGEX_NODE_MODULES,
  REGEX_SETUP_SFC,
  REGEX_SRC_FILE
} from "@vue-macros/common";
function resolveOptions(options) {
  const version = options.version || 3.6;
  return {
    include: [REGEX_SRC_FILE],
    exclude: [REGEX_SETUP_SFC, REGEX_NODE_MODULES],
    ...options,
    version,
    defineComponent: {
      alias: options?.defineComponent?.alias ?? [
        "defineComponent",
        "defineVaporComponent"
      ]
    },
    defineModel: { alias: options?.defineModel?.alias ?? ["defineModel"] },
    defineSlots: { alias: options?.defineSlots?.alias ?? ["defineSlots"] },
    defineExpose: { alias: options?.defineExpose?.alias ?? ["defineExpose"] },
    defineStyle: { alias: options?.defineStyle?.alias ?? ["defineStyle"] }
  };
}

export {
  resolveOptions
};
