import {
  helperPrefix,
  transformJsxMacros,
  useModelHelperId,
  use_model_default,
  withDefaultsHelperId,
  with_defaults_default
} from "./chunk-TWP2JCYQ.js";
import {
  resolveOptions
} from "./chunk-DANY2WQD.js";

// src/raw.ts
import { createFilter, normalizePath } from "@vue-macros/common";

// src/core/style.ts
import { compileStyleAsync } from "@vue/compiler-sfc";
async function transformStyle(code, id, options) {
  const query = new URLSearchParams(id.split("?")[1]);
  const result = await compileStyleAsync({
    filename: id,
    id: `data-v-${query.get("scopeId")}`,
    isProd: options.isProduction,
    source: code,
    scoped: query.get("scoped") === "true"
  });
  return result.code;
}

// src/raw.ts
var name = "@vue-jsx-vapor/macros";
var plugin = (userOptions = {}) => {
  const options = resolveOptions(userOptions);
  const filter = createFilter(options);
  const importMap = /* @__PURE__ */ new Map();
  return {
    name,
    enforce: "pre",
    resolveId(id) {
      if (normalizePath(id).startsWith(helperPrefix)) return id;
    },
    loadInclude(id) {
      return normalizePath(id).startsWith(helperPrefix);
    },
    load(_id) {
      const id = normalizePath(_id);
      if (id === useModelHelperId) return use_model_default;
      else if (id === withDefaultsHelperId) return with_defaults_default;
      else if (importMap.get(id)) return importMap.get(id);
    },
    transformInclude(id) {
      if (importMap.get(id)) return true;
      return filter(id);
    },
    transform(code, id) {
      if (importMap.get(id)) return transformStyle(code, id, options);
      return transformJsxMacros(code, id, importMap, options);
    }
  };
};
var raw_default = plugin;

export {
  raw_default
};
